from setuptools import setup, find_packages

with open('README.md', 'r', encoding='utf-8') as f:
    readme = f.read()

with open('mtk/requirements.txt', 'r', encoding='utf-8') as f:
    requirements = f.read()

setup(
    name='music-tool-kit',
    version='0.0.2',
    description='A tool kit for music download and clip',
    url='https://github.com/nichuanfang/music-tool-kit',
    author='Nichuan Fang',
    author_email='f18326186224@gmail.com',
    license='MIT',
    readme=readme,
    platforms='any',
    keywords=[
        'mtk'
        'music',
        'musictool',
        'musicdownload',
        'musicclip',
        'musickit',
        'musictoolkit',
    ],
    packages=find_packages(exclude=['tests']),
    package_data={
        'mtk': ['*.txt'],
    },
    require_python='>=3.8',
    install_requires=[
        'requests'
    ],
    entry_points={
        'console_scripts': [
            'mtk = mtk.__main__:main',
        ]
    },
    classifiers=[
        'Development Status :: 1 - Planning',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Natural Language :: Chinese (Simplified)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.8',
        'Topic :: Multimedia :: Sound/Audio',
        'Topic :: Utilities',
    ],
    zip_safe=False
)
